import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/border" as Border
import "../common/Colors.js" as Colors
import "../common/fonts" as Fonts

Item
{
    id: about
    objectName: "about"
    width: 415
    height: 454

    Localizer { id: tr; scope: "About" }
    LayoutMirroring.enabled: Window.Mirror
    LayoutMirroring.childrenInherit: true

	function showPage(page) {}

    AboutMain
    {
        id: aboutMain
		objectName: "aboutMain"
        anchors.fill: parent
    }

    Widgets.DPIScaler
    {
        id: dpiScaler
        changeHeight: true
        changeWidth: true
    }

    Component.onCompleted: Window.SetCaption(tr.Localize("Caption"));
}

