import QtQuick 1.1
import QtWidgetProxies 1.0

ActivationBasePage
{
	Localizer { id:tr; scope:"LicenseManager" }
	headerString:		tr.Localize("ActivationReservedCodeHeader")
	helpButtonVisible: 	false

	objectName: "activationPageReservedCode"

	Image
	{
		id: warningIcon
		
		anchors.horizontalCenter:	parent.horizontalCenter
		anchors.top:				parent.top; anchors.topMargin:40
		
		source:							"../common/images/license/ico_warning_96.png"
	}
	Text
	{
		id: warningText
		
		objectName: "activationReservedCodeTextPart1"
		anchors.left:	parent.left;		anchors.leftMargin:5
		anchors.right:	parent.right;		anchors.rightMargin:5
		anchors.top:	warningIcon.bottom;	anchors.topMargin:25
		horizontalAlignment:			Text.AlignHCenter
		wrapMode:						Text.Wrap
		text:							tr.Localize("ActivationReservedCodeTextPart1")
		font:							activationWizard.fontStyles.masterOfActivationButtonsNormalText
	}
	Text
	{
		objectName: "activationReservedCodeTextPart2"
		anchors.left:	parent.left;		anchors.leftMargin:5
		anchors.right:	parent.right;		anchors.rightMargin:5
		anchors.top:	warningText.bottom;	anchors.topMargin:20
		horizontalAlignment:			Text.AlignHCenter
		wrapMode:						Text.Wrap
		text:							tr.Localize("ActivationReservedCodeTextPart2")
		font:							activationWizard.fontStyles.masterOfActivationButtonsNormalText
	}	

}

