import QtQuick 1.1

Item {
	id: progressbar
	width: 340
	height: 30

	property int percent: 0
	property bool red: false

	BorderImage
	{
		anchors.fill: parent
        border { top: 3; bottom: 3; left: 5; right: 5}
                source: "../images/widgets/progress_line.png"
	}
	BorderImage
	{
		border { top: 2; bottom: 2; left: 2; right: 2}
		anchors
		{
			verticalCenter: parent.verticalCenter
			left: parent.left
			leftMargin: 1
		}
		height: parent.height - 2
		width: Math.max((parent.width - 2) * Math.max(Math.min(progressbar.percent, 100), 0) / 100, border.left + border.right)
                source: progressbar.red ? "../images/widgets/progress_red.png" : "../images/widgets/progress_green.png"
	}
}
