import QtQuick 1.1

Item
{
    visible: false

    property alias standardCaptionFont: standardCaptionFont.font
    property alias standardSmallCaptionFont: standardSmallCaptionFont.font
    property alias standardSettingsCaptionFont: standardSettingsCaptionFont.font
    property alias standardCommonTextFont: standardCommonTextFont.font
    property alias standardCommonTextFontBold: standardCommonTextFontBold.font
    property alias standardBoldSubHeadingFont: standardBoldSubHeadingFont.font
    property alias standardSettingsSectionCaptionFont: standardSettingsSectionCaptionFont.font
    property alias standardSectionCaptionFont: standardSectionCaptionFont.font
    property alias standardListBoxFont: standardListBoxFont.font
    property alias standardButtonFont: standardButtonFont.font
    property alias standardComboFont: standardComboFont.font
    property alias standardCheckboxFont: standardCheckboxFont.font
    property alias standardEditBoxFont: standardEditBoxFont.font
    property alias standardEditBoxFontBold: standardEditBoxFontBold.font
    property alias standardEditBoxHintFont: standardEditBoxHintFont.font
    property alias standardWindowCaptionFont: standardWindowCaptionFont.font
    property alias standardSettingsTextFont: standardSettingsTextFont.font
    property alias standardSettingsBoldTextFont: standardSettingsBoldTextFont.font
    property alias standardHyperlinkFont: standardHyperlinkFont.font
    property alias standardSubHeaderFont: standardSubHeaderFont.font
    
    Text
    {
        id: standardCaptionFont
        font.pointSize: 18
        font.family: "FranklinGothicMediCondTT"
    }

    Text
    {
        id: standardSmallCaptionFont
        font.pointSize: 14
        font.family: "FranklinGothicBookCondTT"
    }

    Text
    {
        id: standardSettingsCaptionFont
        font.pointSize: 13
        font.family: "Tahoma"
    }

    Text
    {
        id: standardCommonTextFont
        font.pointSize: 8.75
        font.family: "Arial"
    }

    Text
    {
        id: standardSettingsTextFont
        font.pointSize: 8
        font.family: "Tahoma"
    }

    Text
    {
        id: standardSettingsBoldTextFont
        font.pointSize: 8
        font.family: "Tahoma"
        font.bold: true
    }

    Text
    {
        id: standardCommonTextFontBold
        font.pointSize: 8.75
        font.family: "Arial"
        font.bold: true
    }

    Text
    {
        id: standardBoldSubHeadingFont
        font.pointSize: 11
        font.family: "FranklinGothicMediumTT"
    }

    Text
    {
        id: standardSectionCaptionFont
        font.pointSize: 10
        font.family: "FranklinGothicMediumTT"
    }

    Text
    {
        id: standardSettingsSectionCaptionFont
        font.pointSize: 9
        font.family: "Tahoma"
    }

    Text
    {
        id: standardListBoxFont
        font.pointSize: 10
        font.family: "FranklinGothicMediCondTT"
    }

    Text
    {
        id: standardButtonFont
        font.pointSize: 10
        font.family: "FranklinGothicMediCondTT"
    }

    Text
    {
        id: standardComboFont
        font.pointSize: 12
        font.family: "FranklinGothicMediCondTT"
    }

    Text
    {
        id: standardCheckboxFont
        font: standardCommonTextFont.font
    }

    Text
    {
        id: standardEditBoxFont
        font.pointSize: 8;
        font.family: "Tahoma";
    }

    Text
    {
        id: standardEditBoxFontBold
        font.pointSize: 8;
        font.family: "Tahoma";
        font.bold: true
    }

    Text
    {
        id: standardEditBoxHintFont
        font.pointSize: 10
        font.family: "FranklinGothicBookTT"
        font.italic: true;
    }

    Text
    {
        id: standardWindowCaptionFont
        font.pointSize: 8.75
        font.family: "Arial"
    }

    Text
    {
        id: standardHyperlinkFont
        font.pointSize: 10.5
        font.family: "Tahoma"
    }

    Text
    {
        id: standardSubHeaderFont
        font.pointSize: 9
        font.family: "Tahoma"
    }
}
