import QtQuick 1.1

import "../common/widgets" as Widgets

Item
{
	anchors.fill: parent
	property alias contentHeight: taskListView.contentHeight
	objectName: "taskListView"

	ListView
	{
		id: taskListView
		objectName: "taskListView"
		anchors.fill:	parent
		model:			TaskList.TaskList
		delegate:		TaskItem {}
		focus:			true
		property int tabOrder: 1
		interactive: scrollbarLoader.when
		cacheBuffer: 10000
	}

    Widgets.ScrollBar
    {
        id:scrollbar
        target:taskListView
        anchors.top:taskListView.top;
        anchors.right: parent.right;
        anchors.bottom: taskListView.bottom;
    }
}
