import QtQuick 1.1

Button
{
	objectName:	"HeaderButton"
    minWidth:		122
    buttonHeight: 26
    horizontalMargin: 12
    borderWidth: 5
    x: Window.Mirror ? 8 : parent.width - width - 8
    y: 6
	backgroundImage: "../images/inner/header_button_normal.png";
	hoverImage: "../images/inner/header_button_hover.png";
	pressedImage: "../images/inner/header_button_pressed.png";
    defaultButtonEffectImage: "../images/inner/header_button_normal.png";
    textcolor: "#414141"
	textStyle: Text.Raised
	textStyleColor: "#ffffff"

    focusRectEnabled: false
    FocusImage
    {
        anchors.verticalCenter: parent.verticalCenter
        anchors.horizontalCenter: parent.horizontalCenter
        tileHorizontally: true
        widthClipperSize: 4
        border {
            left: 4
            right: 4
        }
        source: "../images/focuses/focus_header_button.png"
    }
}
