import QtQuick 1.1

Item
{
    Image
    {
        id: thumbUp
        source: "../images/widgets/thumb_up.png";
    }
    Image
    {
        id: thumbDown
        source: "../images/widgets/thumb_down.png";
        anchors.bottom: parent.bottom;
    }
    Image
    {
        id: thumbFiller
        source: "../images/widgets/thumb_filler.png";
        anchors.top: thumbUp.bottom;
        anchors.bottom: thumbDown.top;
        fillMode: Image.TileVertically
    }
    Image
    {
        id: thumbGrabbers
        source: "../images/widgets/thumb_grabbers.png";
        visible: thumbFiller.height >= thumbGrabbers.height
        anchors.verticalCenter: thumbFiller.verticalCenter;
        anchors.horizontalCenter: thumbFiller.horizontalCenter;
    }
}
